Subject: FP register corruption in Exynos 4210 (Cortex-A9)

From: [email-masked] (Lanchon)
Date: Mon, 22 Dec 2014 20:42:02 -0300

On 12/22/2014 08:29 PM, Russell King - ARM Linux wrote:
> On Mon, Dec 22, 2014 at 07:46:27PM -0300, Lanchon wrote:
>> however under some circumstances the kernel did the wrong thing: it didn't
>> reload the registers even though it was needed, probably because the
>> hardware had been powered down and had lost state without the tracking code
>> getting word of it. just disabling the optimization made the kernel solid.
> Right, so mainline kernel's don't exhibit the behaviour...
>
>> a couple of days later the root cause seems to have been identified and
>> fixed. i describe the whole thing here:
>> http://forum.xda-developers.com/galaxy-s2/development-derivatives/kernel-fpbug-stable-4-x-kernel-galaxy-t2978088
> ... because it's a local issue with cpuidle not calling the appropriate
> CPU PM functions, and that means there's no patches that we need to deal
> with for mainline kernels, right?
>

that's what i think, yes. i only got back here on the list to thank you 
and let you know what was wrong since you helped me a couple of months ago.